Bug 598279 - X crashes
X crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-31 21:11 EDT by Miloslav Trmač
Modified: 2018-04-11 02:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log (94.95 KB, text/plain)
2010-05-31 21:11 EDT, Miloslav Trmač
no flags Details
/etc/X11/xorg.conf.d/00-system-setup-keyboard.conf (321 bytes, text/plain)
2010-06-10 14:04 EDT, Miloslav Trmač
no flags Details
dmesg (122.40 KB, text/plain)
2010-06-10 14:04 EDT, Miloslav Trmač
no flags Details
/var/log/messages from boot with drm.debug=0x04 (77.35 KB, text/plain)
2010-06-10 14:06 EDT, Miloslav Trmač
no flags Details
dmesg (82.34 KB, application/octet-stream)
2010-06-14 15:09 EDT, Mathieu Chouquet-Stringer
no flags Details
Xorg.0.log (60.15 KB, application/octet-stream)
2010-06-14 15:09 EDT, Mathieu Chouquet-Stringer
no flags Details
messages (55.78 KB, application/octet-stream)
2010-06-14 15:16 EDT, Mathieu Chouquet-Stringer
no flags Details

  None (edit)
Description Miloslav Trmač 2010-05-31 21:11:46 EDT
Created attachment 418429 [details]
Xorg.log

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.8.0-12.fc13.x86_64

How reproducible:
You won't like it...

Steps to Reproduce:
1. Install lots of screensavers (including rss-glx-gnome-screensaver, xscreensaver-gl-extras), set mode to "random screensaver"
2. Leave the computer
  

Backtrace:
[ 37102.227] 0: /usr/bin/Xorg (xorg_backtrace+0x28) [0x49e708]
[ 37102.227] 1: /usr/bin/Xorg (0x400000+0x603d9) [0x4603d9]
[ 37102.227] 2: /lib64/libc.so.6 (0x3412000000+0x32a40) [0x3412032a40]
[ 37102.227] 3: /lib64/libc.so.6 (0x3412000000+0xffffffcbf10f0301) [0x30f0301]
[ 37102.227] Segmentation fault at address 0x30f0301
[ 37102.227] 
Fatal server error:
[ 37102.227] Caught signal 11 (Segmentation fault). Server aborting
Comment 1 Matěj Cepl 2010-06-01 08:02:20 EDT
(In reply to comment #0)
> How reproducible:
> You won't like it...

Oh well. :(

However, more I would like to get more logs. Most of the fun stuff these happens in kernel, and there is nothing kernelish in /var/log/Xorg.0.log. So, please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Miloslav Trmač 2010-06-10 14:04:03 EDT
Created attachment 422997 [details]
/etc/X11/xorg.conf.d/00-system-setup-keyboard.conf

I don't have an Xorg.conf; this is the only related file, /etc/X11/xorg.conf.d/00-system-setup-keyboard.conf
Comment 3 Miloslav Trmač 2010-06-10 14:04:49 EDT
Created attachment 422998 [details]
dmesg
Comment 4 Miloslav Trmač 2010-06-10 14:06:19 EDT
Created attachment 422999 [details]
/var/log/messages from boot with drm.debug=0x04
Comment 5 Miloslav Trmač 2010-06-10 14:07:32 EDT
(Note that these files were generated with a docking station, the original log is without a docking station; I have seen X crashes in both cases.  I'm afraid the most recent X crash, with a docking station, only contained a "Backtrace" header, but no backtrace.)
Comment 6 Mathieu Chouquet-Stringer 2010-06-14 15:09:16 EDT
Created attachment 423954 [details]
dmesg

I've been experiencing the same issue:
Backtrace:
[  6156.231] 0: /usr/bin/Xorg (xorg_backtrace+0x3c) [0x80e51dc]
[  6156.231] 1: /usr/bin/Xorg (0x8047000+0x5e176) [0x80a5176]
[  6156.231] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xdb640c]
[  6156.232] 3: /lib/libc.so.6 (0x42c000+0x79296) [0x4a5296]
[  6156.232] Segmentation fault at address (nil)
[  6156.232] 
Fatal server error:
[  6156.232] Caught signal 11 (Segmentation fault). Server aborting
[  6156.232] 
[  6156.232] 

And I've got what you asked for (note I don't have any xorg.conf file).
Comment 7 Mathieu Chouquet-Stringer 2010-06-14 15:09:53 EDT
Created attachment 423955 [details]
Xorg.0.log
Comment 8 Mathieu Chouquet-Stringer 2010-06-14 15:16:19 EDT
Created attachment 423960 [details]
messages

Note there's nothing there (I removed dhclient|ntpd|NetworkManager|pulseaudio|pcscd|nscd|gnome-ses|dbus|gdm-simple|gpm|modem-manager)...

The crash happened just before 20:56.

I can easily reproduce this bug by opening tabs in firefox and it's fairly recent because I haven't changed the way I work.  The only things that have changed are updates I've been applying.
Comment 9 Bug Zapper 2011-06-02 08:33:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2011-06-27 13:13:05 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.